events {
    worker_connections 768;
    # multi_accept on;
}

http {

    upstream ktor {
       server artixcs-cardsmobile:28078;
    }

    server {

        include env.conf;
        listen 18089;

        # запрос с ktor-сервиса при нажатии кнопки Синхронизация, передаем его во внешнюю платформу
        location /places/sync {
            # приходится проверять, получили get-запрос или нет, иначе запрос с sessionId пролетает мимо
            if ($request_method = GET) {
                proxy_pass https://$cardsmobile_host:$cardsmobile_port$request_uri;
            }
            proxy_pass https://$cardsmobile_host:$cardsmobile_port$request_uri;
        }

        # запрос с веб-странички при нажатии кнопки Текущий статус
        location /shops/sync/lastStatus {
            proxy_pass https://localhost:28089$request_uri;
        }

        # запрос с веб-странички при нажатии кнопки Синхронизация
        location /shops/sync {
            proxy_pass https://localhost:28089$request_uri;
        }

    }


    server {

        proxy_set_header Host $host;
        # You need this line
        proxy_set_header X-Forwarded-Proto $scheme;

        location /swagger {
            add_header Content-Type 'text/html; charset=utf-8';
            proxy_pass http://ktor;
        }

        location /shops/sync/lastStatus {
            proxy_pass http://ktor;
        }

        location /shops/sync/current {
            proxy_pass http://ktor$request_uri;
            add_header Content-Type 'text/html; charset=utf-8';
        }

        location /shops/sync {
            proxy_pass http://ktor;
        }

        location / {
            proxy_pass http://ktor$request_uri;
            add_header Content-Type 'application/json; charset=utf-8';
        }

        listen 28089 ssl;
        ssl_certificate ca-cert.pem;
        ssl_certificate_key ca-key.pem;

    }

}